ln -s /groups/stern/sternlab/genome_data/*/*pep.fa .

bsub -Is "mafft --auto ~/bicycle_classifier/Hcor/orig.bicycle.3ix21.fa > orig.bicycle.3ix21.msa"
bsub -Is "hmmbuild --amino orig.bicycle.3ix21.profile orig.bicycle.3ix21.msa"
bsub -Is 'hmmpress orig.bicycle.3ix21.profile'

hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Agos_v5.5.6.table.txt orig.bicycle.3ix21.profile Agos.Augustus.updated_w_annots.6ix21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Apis_v5.5.6.table.txt orig.bicycle.3ix21.profile Apis.Augustus.updated_w_annots.7vii21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Btab_v5.5.6.table.txt orig.bicycle.3ix21.profile Btab.Augustus.updated_w_annots.7vii21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Cced_v5.5.6.table.txt orig.bicycle.3ix21.profile Cced.Augustus.updated_w_annots.7vii21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Dcit_v5.5.6.table.txt orig.bicycle.3ix21.profile Dcit.Augustus.updated_w_annots.7vii21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Dnox_v5.5.6.table.txt orig.bicycle.3ix21.profile Dnox.Augustus.updated_w_annots.7vii21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Dvit_v5.5.6.table.txt orig.bicycle.3ix21.profile Dvit.Augustus.updated_w_annots.6ix21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Elan_v5.5.6.table.txt orig.bicycle.3ix21.profile Elan.Augustus.updated_w_annots.7vii21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Epel_v5.5.6.table.txt orig.bicycle.3ix21.profile Epel.Augustus.updated_w_annots.7vii21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Hcor_v5.5.6.table.txt orig.bicycle.3ix21.profile Augustus.updated_w_annots.3ix21_final.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Lstr_v5.5.6.table.txt orig.bicycle.3ix21.profile Lstr.Augustus.updated_w_annots.7vii21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Mhir_v5.5.6.table.txt orig.bicycle.3ix21.profile Mhir.Augustus.updated_w_annots.6ix21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Mper_v5.5.6.table.txt orig.bicycle.3ix21.profile Mper.Augustus.updated_w_annots.7vii21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Msac_v5.5.6.table.txt orig.bicycle.3ix21.profile Msac.Augustus.updated_w_annots.7vii21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Nlug_v5.5.6.table.txt orig.bicycle.3ix21.profile Nlug.Augustus.updated_w_annots.6ix21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Pnig_v5.5.6.table.txt orig.bicycle.3ix21.profile Pnig.Augustus.updated_w_annots.6ix21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Psol_v5.5.6.table.txt orig.bicycle.3ix21.profile Psol.Augustus.updated_w_annots.6ix21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Pven_v5.5.6.table.txt orig.bicycle.3ix21.profile Pven.Augustus.updated_w_annots.7vii21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Rmai_v5.5.6.table.txt orig.bicycle.3ix21.profile Rmai.Augustus.updated_w_annots.6ix21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Sfla_v5.5.6.table.txt orig.bicycle.3ix21.profile Sfla.Augustus.updated_w_annots.6ix21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Tulm_v5.5.6.table.txt orig.bicycle.3ix21.profile Tulm.Augustus.updated_w_annots.7vii21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Tvap_v5.5.6.table.txt orig.bicycle.3ix21.profile Tvap.Augustus.updated_w_annots.7vii21.pep.fa

#############################################################################
#update Apis and Mper for Thomas's genome
ln -s ~/bicycle_classifier/Mathers_genomes_reannotation/Mper/manual_updated_reanalysis/Mper.Augustus.updated_w_annots.13xii21.pep.fa .
ln -s ~/bicycle_classifier/Mathers_genomes_reannotation/Apis/manual_updated_reanalysis/Apis.Augustus.updated_w_annots.13xii21.pep.fa .

hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Mper_v5.5.6.table.txt orig.bicycle.3ix21.profile Mper.Augustus.updated_w_annots.13xii21.pep.fa
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Apis_v5.5.6.table.txt orig.bicycle.3ix21.profile Apis.Augustus.updated_w_annots.13xii21.pep.fa 

#update again with newer Apis annotation
ln -s ~/bicycle_classifier/Mathers_genomes_reannotation/Apis/manual_updated_reanalysis/Apis.Augustus.updated_w_annots.22xii21.pep.fa .
hmmsearch --cpu 16 --tblout hmmsearch.bicycle_Apis_v5.5.6.table.txt orig.bicycle.3ix21.profile Apis.Augustus.updated_w_annots.22xii21.pep.fa 
